# QVM: Quaternions, Vectors, Matrices

### dot(quat,quat)

#include <boost/qvm/quat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_quat<A>::value && is_quat<B>::value
            template <class A,class B>
            typename deduce_scalar<A,B>::type
            dot( A const & a, B const & b );
        }
    }

#### Returns:

The dot product of the quaternions a and b.

See also: boost/qvm/quat_operations.hpp | boost/qvm/quat_traits_array.hpp